Bug Hunting Session
Bug 90990 - experimental features design button in sidebar crash
Summary: experimental features design button in sidebar crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-01 12:13 UTC by raal
Modified: 2016-01-20 11:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
gdbtra (7.52 KB, text/x-log)
2015-05-01 12:13 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-05-01 12:13:27 UTC
Created attachment 115235 [details]
gdbtra

Steps:
enable experimental features

open writer
write few letters
open sidebar
click design button in sidebar
select some font theme
click in sidebar button Properties (first button)
crash

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff24edc04 in vcl::Window::ImplGrabFocus(unsigned short) ()
   from /opt/libreofficedev5.0/program/libvcllo.so

Version: 5.0.0.0.alpha1+
Build ID: 59adad74084e9281887e3f78a225794f37b784d7
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-29_12:40:39
Comment 1 Buovjaga 2015-05-01 17:46:12 UTC
Unable to repro.
Tried selecting font theme both by double and single clicking.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-27_01:54:20
Locale: fi_FI

Ubuntu 15.04 64-bit 
Version: 5.0.0.0.alpha1+
Build ID: daa28969374f628a8cb265fcb28a73daabcb7236
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-04-25_00:48:25
Locale: en_US
Comment 2 Buovjaga 2015-05-01 19:13:08 UTC
Ok could repro with latest build.
I also noticed some empty OK dialog flashing briefly when clicking design button.

Version: 5.0.0.0.alpha1+
Build ID: 0cd88d27ecd87c8c5791418bcac6ab1684ece74a
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-04-30_00:38:48
Locale: en_US.UTF-8
Comment 3 Matthew Francis 2015-05-06 08:34:33 UTC
This began at the below commit.
Adding Cc: to michael.meeks@collabora.com; Could you possibly take a look at this one? Thanks

commit e8b97a52c96df9c8e8055407b1e40ed7cb9cfc67
Merge: 2b0be6c 0cde74f
Author: Michael Meeks <michael.meeks@collabora.com>
Date:   Tue Apr 28 11:41:31 2015 +0100

    Merge remote-tracking branch 'origin/feature/vclptr'
    
    Resolve several thousand lines of conflicts.
Comment 4 Michael Meeks 2015-05-11 20:10:31 UTC
focus tracking issue =) thanks !
Comment 5 Commit Notification 2015-05-11 20:11:59 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d425cc7c73a8ad3d693216742d75b0f7f1bf5f89

tdf#90990 - listbox focus issue post dispose.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 09:00:19 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]